<!-- -------------------- ./adm/doslist.html -------------------- -->

<?php include "head_top.html"; ?>

<?php include "part_tabs.html"; ?>

<!-- --------- start doslist ----------- -->

<nav class="navbar navbar-expand-lg navbar-expand-xl navbar-light bg-light">
 <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#admSearchdBar" aria-expanded="false" >
   <span class="navbar-toggler-icon"></span>
 </button>
 <span class="navbar-brand"><span class='badge badge-secondary' id='DosCnt'><?php echo count($this->DFLIST); ?></span> porte-documents :</span>

  <div class="collapse navbar-collapse" id="admSearchdBar">
    <ul class="navbar-nav mr-auto"></ul>
    <form class="form-inline my-2 my-lg-0">
       <div class="form-row align-items-center">
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-filter"></i></span>
            </div>
            <select id="searchSTS" class="form-control" onchange="GlobalFilter()">
             <option value="---">tous</option>
             <option value="std" <?php echo (@$this->SFILTR['FS']=="std")?"selected":""; ?>>porte document</option>
             <option value="signall" <?php echo (@$this->SFILTR['FS']=="signall")?"selected":""; ?>>signature -- tous</option>
             <option value="zign1" <?php echo (@$this->SFILTR['FS']=="zign1")?"selected":""; ?>>signature en préparation</option>
             <option value="zign2" <?php echo (@$this->SFILTR['FS']=="zign2")?"selected":""; ?>>signature en cours</option>
             <option value="zign3" <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
             <option value="zign4" <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
             <option value="visaall" <?php echo (@$this->SFILTR['FS']=="visa1")?"selected":""; ?>>visa -- tous</option>
             <option value="visa1" <?php echo (@$this->SFILTR['FS']=="visa1")?"selected":""; ?>>visa en préparation</option>
             <option value="visa2" <?php echo (@$this->SFILTR['FS']=="visa2")?"selected":""; ?>>visa en cours</option>
             <option value="visa3" <?php echo (@$this->SFILTR['FS']=="visa3")?"selected":""; ?>>visa refusé</option>
             <option value="visa4" <?php echo (@$this->SFILTR['FS']=="visa4")?"selected":""; ?>>visa effectué</option>
            </select>
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-search"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDoc" placeholder="chercher porte-document" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FD']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMod" placeholder="chercher date de modif" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FM']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
          </div>
        </div>
      </div>
    </form>
  </div>
</nav>

<table id="dostable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;nom</th>
 <th>&nbsp;statut</th>
 <th>&nbsp;mots de passe</th>
 <th>&nbsp;nbr d'utilisateurs</th>
 <th>&nbsp;dernière modification</th>
 <th>&nbsp;fin de vie</th>
 <th>&nbsp;actions</th>
</tr>
</thead>
<tbody>
<?php 
include "tpl/func/disp_status.php";
foreach ($this->DFLIST as $did => $ddata ) : 
 $count = $ddata['count'];
 $elem = $ddata['info'];
 $stinf = GetStatusInfo($elem);
?>
<tr class="datarow">
 <td><span class="dnam"><a href="<?php echo $this->URL->GetAdmMethodWithDID('View',$did); ?>" ><?php echo $elem['title']; ?></a></span></td>
 <td><span class="hidden dsts"><?php echo $stinf['sts1']; ?></span><i class="fas fa-<?php echo $stinf['sts2']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $stinf['sts3']; ?>" ></i></td>
 <td><?php echo @$elem['passwd']; echo (isset($elem['passadm']))?" / ".$elem['passadm']:""; ?></td>
 <td>
<?php echo $count; if ( $count > 0 ): ?>
  <a href="<?php echo $this->URL->GetAdmMethod1Arg("U4D",$did); ?>"><i class="far fa-eye"></i></a>
<?php endif; ?>
 </td>
 <td><span class="dmod"><?php echo $elem['modified']; ?></span></td>
 <td><span class="deol"><?php echo $elem['endoflife']; ?></span></td>
 <td>
  <div>
  <a href="<?php echo $this->URL->GetAdmMethodWithDID('View',$did); ?>" role="button" class="btn my-btn-xs btn-success" data-toggle="tooltip" data-placement="top" title="Visualiser" target="doc">&nbsp;<i class="far fa-eye"></i>&nbsp;</a> 
  <button type="button" class="btn my-btn-xs btn-danger" data-toggle="tooltip" data-placement="top" title="Supprimer" onclick="DeleteModalBS('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">&nbsp;<i class="far fa-trash-alt"></i>&nbsp;</button>
  </div>
</td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

<!-- -------------------------------------------------------------------- -->

<!-- Delete Modal -->
<div class="modal fade" id="ModalConfDel" tabindex="-1" role="dialog" aria-labelledby="ModalConfDelTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('Delete'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalConfDelTitle"><i class="fas fa-trash-alt"></i>&nbsp;Supprimer ce porte-documents ?</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalConfDelBody">
	<input id="md_imp_did" type="hidden" name="DID" value="">
	<p class="text-error">
	  <em>Le porte-documents <span class='label label-default' id='md_tit_dnam'></span><br>et tout son contenu seront détruit</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-danger btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>


<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#dostable").tablesorter({headers:{6:{sorter:false}},sortList: [[<?php echo $this->SVSORT; ?>]]} ); 
  GlobalFilter();
} 
);
</script>

<script>
  $('[data-toggle="tooltip"]').tooltip();
  $('#dostable').on('sortEnd', function(event) {
    SortSave('AD', event.target.config.sortList);
  });
</script>


</body>
</html>


